// Ex-p5-Audio11-In
// Pour p5.js
// 31 1 2017
// Utilise: libraries/p5.js
// Utilise: libraries/p5.sound.js
// http://p5js.org/reference/#/p5.AudioIn
// https://p5js.org/examples/sound-mic-input.html
// Get sound from an input source, typically a computer microphone.
//
// Pb Chrome 49 + MacOSX.6
// OK Firefox 48 + MacOSX.6 
// Pb Opera 12 + MacOSX.6 
// Pb Safari 5 + MacOSX.6 

var Micro;

function setup() {
  createCanvas(windowWidth, windowHeight);
  Micro = new p5.AudioIn();
  Micro.start();
  fill(50, 150, 50); // Green
  noStroke();
  textSize(24);
  textAlign(RIGHT);
}

function draw() {
  background(255, 30);
  MicroLevel = Micro.getLevel();
  var yy = -constrain(MicroLevel * height * 2, 0, height);
  rect(width / 2 - 20, height, 40, yy);
  text(int(MicroLevel * 100), width / 2 + 12, height + yy - 5);
}

function windowResized() {
  resizeCanvas(windowWidth, windowHeight);
}